xine-lib: xine-lib-1.2.12/src/xine-engine/xine_interface.c File Reference

xine-lib 1.2.12

Functions
xine_interface.c File Reference
`#include <sys/types.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <pthread.h>`
`#include <stdarg.h>`
`#include <xine/xine_internal.h>`
`#include <xine/audio_out.h>`
`#include <xine/video_out.h>`
`#include <xine/demux.h>`
`#include <xine/post.h>`
`#include "xine_private.h"`

## Functions
const char * | xine_get_version_string (void)
void | xine_get_version (int *major, int *minor, int *sub)
int | xine_check_version (int major, int minor, int sub)
const char * | xine_config_register_string (xine_t *self, const char *key, const char *def_value, const char *description, const char *help, int exp_level, xine_config_cb_t changed_cb, void *cb_data)
const char * | xine_config_register_filename (xine_t *self, const char *key, const char *def_value, int req_type, const char *description, const char *help, int exp_level, xine_config_cb_t changed_cb, void *cb_data)
int | xine_config_register_range (xine_t *self, const char *key, int def_value, int min, int max, const char *description, const char *help, int exp_level, xine_config_cb_t changed_cb, void *cb_data)
int | xine_config_register_enum (xine_t *self, const char *key, int def_value, char **values, const char *description, const char *help, int exp_level, xine_config_cb_t changed_cb, void *cb_data)
int | xine_config_register_num (xine_t *self, const char *key, int def_value, const char *description, const char *help, int exp_level, xine_config_cb_t changed_cb, void *cb_data)
int | xine_config_register_bool (xine_t *self, const char *key, int def_value, const char *description, const char *help, int exp_level, xine_config_cb_t changed_cb, void *cb_data)
int | xine_config_unregister_callbacks (xine_t *self, const char *key, xine_config_cb_t changed_cb, void *cb_data, size_t cb_data_size)
int | xine_config_lookup_num (xine_t *this, const char *key, int def_value)
char * | xine_config_lookup_string (xine_t *this, const char *key)
void | xine_config_free_string (xine_t *this, char **value)
static int | config_get_current_entry (xine_t *this, xine_cfg_entry_t *entry)
int | xine_config_get_first_entry (xine_t *this, xine_cfg_entry_t *entry)
int | xine_config_get_next_entry (xine_t *this, xine_cfg_entry_t *entry)
int | xine_config_lookup_entry (xine_t *this, const char *key, xine_cfg_entry_t *entry)
void | xine_config_update_entry (xine_t *this, const xine_cfg_entry_t *entry)
void | xine_config_reset (xine_t *this)
int | xine_port_send_gui_data (xine_video_port_t *vo, int type, void *data)
static void | send_audio_amp_event_internal (xine_stream_private_t *stream)
void | xine_set_param (xine_stream_t *s, int param, int value)
int | xine_get_param (xine_stream_t *s, int param)
uint32_t | xine_get_stream_info (xine_stream_t *s, int info)
const char * | xine_get_meta_info (xine_stream_t *stream, int info)
xine_osd_t * | xine_osd_new (xine_stream_t *stream, int x, int y, int width, int height)
uint32_t | xine_osd_get_capabilities (xine_osd_t *this)
void | xine_osd_draw_point (xine_osd_t *this, int x, int y, int color)
void | xine_osd_draw_line (xine_osd_t *this, int x1, int y1, int x2, int y2, int color)
void | xine_osd_draw_rect (xine_osd_t *this, int x1, int y1, int x2, int y2, int color, int filled)
void | xine_osd_draw_text (xine_osd_t *this, int x1, int y1, const char *text, int color_base)
void | xine_osd_get_text_size (xine_osd_t *this, const char *text, int *width, int *height)
int | xine_osd_set_font (xine_osd_t *this, const char *fontname, int size)
void | xine_osd_set_encoding (xine_osd_t *this, const char *encoding)
void | xine_osd_set_position (xine_osd_t *this, int x, int y)
void | xine_osd_show (xine_osd_t *this, int64_t vpts)
void | xine_osd_show_unscaled (xine_osd_t *this, int64_t vpts)
void | xine_osd_hide (xine_osd_t *this, int64_t vpts)
void | xine_osd_clear (xine_osd_t *this)
void | xine_osd_free (xine_osd_t *this)
void | xine_osd_set_palette (xine_osd_t *this, const uint32_t *const color, const uint8_t *const trans)
void | xine_osd_set_text_palette (xine_osd_t *this, int palette_number, int color_base)
void | xine_osd_get_palette (xine_osd_t *this, uint32_t *color, uint8_t *trans)
void | xine_osd_draw_bitmap (xine_osd_t *this, uint8_t *bitmap, int x1, int y1, int width, int height, uint8_t *palette_map)
void | xine_osd_set_argb_buffer (xine_osd_t *this, uint32_t *argb_buffer, int dirty_x, int dirty_y, int dirty_width, int dirty_height)
void | xine_osd_set_extent (xine_osd_t *this, int extent_width, int extent_height)
void | xine_osd_set_video_window (xine_osd_t *this, int window_x, int window_y, int window_width, int window_height)
const char *const * | xine_post_list_inputs (xine_post_t *this_gen)
const char *const * | xine_post_list_outputs (xine_post_t *this_gen)
xine_post_in_t * | xine_post_input (xine_post_t *this_gen, const char *name)
xine_post_out_t * | xine_post_output (xine_post_t *this_gen, const char *name)
int | xine_post_wire (xine_post_out_t *source, xine_post_in_t *target)
int | xine_post_wire_video_port (xine_post_out_t *source, xine_video_port_t *vo)
int | xine_post_wire_audio_port (xine_post_out_t *source, xine_audio_port_t *ao)
xine_post_out_t * | xine_get_video_source (xine_stream_t *s)
xine_post_out_t * | xine_get_audio_source (xine_stream_t *s)
int | _x_message (xine_stream_t *stream, int type,...)
int64_t | xine_get_current_vpts (xine_stream_t *s)

## Function Documentation

## ◆ _x_message()

int _x_message | ( | xine_stream_t * | stream,
|  | int | type,
|  |  | ...
| ) |  |

References _, xine_ui_message_data_t::compatibility, xine_ui_message_data_t::explanation, xine_ui_message_data_t::messages, N_, NULL, xine_ui_message_data_t::num_parameters, xine_ui_message_data_t::parameters, xine_ui_data_t::str, xine_ui_message_data_t::type, type, xine_event_send(), and XINE_EVENT_UI_MESSAGE.

Referenced by _emit_authentication_request(), _ftp_connect(), _ftp_open(), _open_plugin(), _x_io_tcp_connect_finish(), _x_io_tcp_handshake_connect(), _x_real_codec_open(), _x_rip_plugin_get_instance(), ao_loop(), ao_open(), asf_read_header(), bluray_plugin_open(), config_save_cb(), dvb_plugin_read(), dvd_plugin_open(), dvd_plugin_read_block(), file_input_open(), get_disc_info(), gnomevfs_plugin_open(), handle_events(), handle_libbluray_event(), http_plugin_handshake(), http_plugin_open(), http_plugin_read_int(), load_channels(), net_plugin_read(), open_plugin(), parse_pes_for_pts(), qta_init_driver(), qtv_init_driver(), rip_plugin_read(), rtsp_get_code(), stdin_plugin_read(), stdin_plugin_wait(), vdr_main_read(), w32v_decode_data(), and xio_err().

## ◆ config_get_current_entry()

static int config_get_current_entry | ( | xine_t * | this,
|  | xine_cfg_entry_t * | entry
| ) |  |
| static

References xine_cfg_entry_s::callback, cfg_entry_s::callback, xine_cfg_entry_s::callback_data, cfg_entry_s::callback_data, config_values_s::cur, xine_cfg_entry_s::description, cfg_entry_s::description, xine_cfg_entry_s::enum_values, cfg_entry_s::enum_values, xine_cfg_entry_s::exp_level, cfg_entry_s::exp_level, xine_cfg_entry_s::help, cfg_entry_s::help, xine_cfg_entry_s::key, cfg_entry_s::key, xine_cfg_entry_s::num_default, cfg_entry_s::num_default, xine_cfg_entry_s::num_value, cfg_entry_s::num_value, xine_cfg_entry_s::range_max, cfg_entry_s::range_max, xine_cfg_entry_s::range_min, cfg_entry_s::range_min, xine_cfg_entry_s::str_default, cfg_entry_s::str_default, xine_cfg_entry_s::str_value, cfg_entry_s::str_value, xine_cfg_entry_s::type, and cfg_entry_s::type.

Referenced by xine_config_get_first_entry(), xine_config_get_next_entry(), and xine_config_lookup_entry().

## ◆ send_audio_amp_event_internal()

static void send_audio_amp_event_internal | ( | xine_stream_private_t * | stream | ) |
| static

References AO_PROP_AMP, AO_PROP_AMP_MUTE, xine_stream_s::audio_out, xine_audio_port_s::get_property, xine_audio_level_data_t::left, xine_audio_level_data_t::mute, xine_audio_level_data_t::right, xine_stream_private_st::s, XINE_EVENT_AUDIO_AMP_LEVEL, and xine_event_send().

Referenced by xine_set_param().

## ◆ xine_check_version()

int xine_check_version | ( | int | major,
|  | int | minor,
|  | int | sub
| ) |  |

References XINE_MAJOR, XINE_MINOR, and XINE_SUB.

## ◆ xine_config_free_string()

void xine_config_free_string | ( | xine_t * | this,
|  | char ** | value
| ) |  |

Referenced by ao_alsa_exit(), and ao_jack_open().

## ◆ xine_config_get_first_entry()

int xine_config_get_first_entry | ( | xine_t * | this,
|  | xine_cfg_entry_t * | entry
| ) |  |

References config_get_current_entry(), config_values_s::config_lock, config_values_s::cur, config_values_s::first, cfg_entry_s::next, cfg_entry_s::type, and XINE_CONFIG_TYPE_UNKNOWN.

Referenced by xine_config_get_next_entry().

## ◆ xine_config_get_next_entry()

int xine_config_get_next_entry | ( | xine_t * | this,
|  | xine_cfg_entry_t * | entry
| ) |  |

References config_get_current_entry(), config_values_s::config_lock, config_values_s::cur, cfg_entry_s::next, cfg_entry_s::type, xine_config_get_first_entry(), and XINE_CONFIG_TYPE_UNKNOWN.

## ◆ xine_config_lookup_entry()

int xine_config_lookup_entry | ( | xine_t * | this,
|  | const char * | key,
|  | xine_cfg_entry_t * | entry
| ) |  |

References config_get_current_entry(), config_values_s::config_lock, config_values_s::cur, key, config_values_s::lookup_entry, NULL, cfg_entry_s::type, and XINE_CONFIG_TYPE_UNKNOWN.

Referenced by do_record(), dvb_class_get_autoplay_list(), dvb_plugin_open(), dvbspeed_init(), load_epg_data(), mms_class_get_instance(), open_plugin(), pvr_class_get_instance(), tuner_set_channel(), and tuner_tune_it().

## ◆ xine_config_lookup_num()

int xine_config_lookup_num | ( | xine_t * | this,
|  | const char * | key,
|  | int | def_value
| ) |  |

References key.

## ◆ xine_config_lookup_string()

char * xine_config_lookup_string | ( | xine_t * | this,
|  | const char * | key
| ) |  |

References key.

Referenced by ao_jack_open().

## ◆ xine_config_register_bool()

int xine_config_register_bool | ( | xine_t * | self,
|  | const char * | key,
|  | int | def_value,
|  | const char * | description,
|  | const char * | help,
|  | int | exp_level,
|  | xine_config_cb_t | changed_cb,
|  | void * | cb_data
| ) |  |

References xine_s::config, key, and config_values_s::register_bool.

## ◆ xine_config_register_enum()

int xine_config_register_enum | ( | xine_t * | self,
|  | const char * | key,
|  | int | def_value,
|  | char ** | values,
|  | const char * | description,
|  | const char * | help,
|  | int | exp_level,
|  | xine_config_cb_t | changed_cb,
|  | void * | cb_data
| ) |  |

References xine_s::config, key, and config_values_s::register_enum.

## ◆ xine_config_register_filename()

const char * xine_config_register_filename | ( | xine_t * | self,
|  | const char * | key,
|  | const char * | def_value,
|  | int | req_type,
|  | const char * | description,
|  | const char * | help,
|  | int | exp_level,
|  | xine_config_cb_t | changed_cb,
|  | void * | cb_data
| ) |  |

References xine_s::config, key, and config_values_s::register_filename.

## ◆ xine_config_register_num()

int xine_config_register_num | ( | xine_t * | self,
|  | const char * | key,
|  | int | def_value,
|  | const char * | description,
|  | const char * | help,
|  | int | exp_level,
|  | xine_config_cb_t | changed_cb,
|  | void * | cb_data
| ) |  |

References xine_s::config, key, and config_values_s::register_num.

## ◆ xine_config_register_range()

int xine_config_register_range | ( | xine_t * | self,
|  | const char * | key,
|  | int | def_value,
|  | int | min,
|  | int | max,
|  | const char * | description,
|  | const char * | help,
|  | int | exp_level,
|  | xine_config_cb_t | changed_cb,
|  | void * | cb_data
| ) |  |

References xine_s::config, key, and config_values_s::register_range.

## ◆ xine_config_register_string()

const char * xine_config_register_string | ( | xine_t * | self,
|  | const char * | key,
|  | const char * | def_value,
|  | const char * | description,
|  | const char * | help,
|  | int | exp_level,
|  | xine_config_cb_t | changed_cb,
|  | void * | cb_data
| ) |  |

References xine_s::config, key, and config_values_s::register_string.

## ◆ xine_config_reset()

void xine_config_reset | ( | xine_t * | this | ) |

References config_values_s::config_lock, config_values_s::cur, config_values_s::first, config_values_s::last, cfg_entry_s::next, and NULL.

## ◆ xine_config_unregister_callbacks()

int xine_config_unregister_callbacks | ( | xine_t * | self,
|  | const char * | key,
|  | xine_config_cb_t | changed_cb,
|  | void * | cb_data,
|  | size_t | cb_data_size
| ) |  |

References xine_s::config, key, and config_values_s::unregister_callbacks.

## ◆ xine_config_update_entry()

void xine_config_update_entry | ( | xine_t * | this,
|  | const xine_cfg_entry_t * | entry
| ) |  |

References xine_cfg_entry_s::key, xine_cfg_entry_s::num_value, xine_cfg_entry_s::str_value, xine_cfg_entry_s::type, XINE_CONFIG_TYPE_BOOL, XINE_CONFIG_TYPE_ENUM, XINE_CONFIG_TYPE_NUM, XINE_CONFIG_TYPE_RANGE, XINE_CONFIG_TYPE_STRING, XINE_VERBOSITY_DEBUG, and xprintf.

## ◆ xine_get_audio_source()

xine_post_out_t * xine_get_audio_source | ( | xine_stream_t * | s | ) |

References xine_stream_private_st::audio_source.

## ◆ xine_get_current_vpts()

int64_t xine_get_current_vpts | ( | xine_stream_t * | s | ) |

References xine_s::clock, metronom_clock_s::get_current_time, xine_stream_private_st::s, and xine_stream_s::xine.

Referenced by handle_events(), vdr_vpts_offset_queue_add_int(), vdr_vpts_offset_queue_ask(), and vdr_vpts_offset_queue_init().

## ◆ xine_get_meta_info()

const char * xine_get_meta_info | ( | xine_stream_t * | stream,
|  | int | info
| ) |  |

References _x_meta_info_get_public().

## ◆ xine_get_param()

int xine_get_param | ( | xine_stream_t * | s,
|  | int | param
| ) |  |

References _x_get_broadcaster_port(), _x_get_fine_speed(), _x_get_speed(), _x_stream_info_get_public(), xine_ticket_s::acquire, AO_PROP_AMP, AO_PROP_AMP_MUTE, AO_PROP_COMPRESSOR, AO_PROP_EQ_30HZ, AO_PROP_MIXER_VOL, AO_PROP_MUTE_VOL, xine_stream_private_st::audio_channel_user, xine_stream_s::audio_out, xine_stream_private_st::broadcaster, xine_stream_private_st::delay_finish_event, xine_stream_private_st::early_finish_event, xine_stream_private_st::gapless_switch, metronom_s::get_option, xine_audio_port_s::get_property, xine_video_port_s::get_property, lprintf, xine_stream_s::metronom, METRONOM_AV_OFFSET, METRONOM_PREBUFFER, METRONOM_SPU_OFFSET, xine_private_t::port_ticket, xine_ticket_s::release, xine_stream_private_st::s, xine_stream_s::spu_channel_user, xine_s::verbosity, xine_stream_private_st::video_channel, xine_stream_s::video_out, xine_stream_s::xine, XINE_PARAM_AUDIO_AMP_LEVEL, XINE_PARAM_AUDIO_AMP_MUTE, XINE_PARAM_AUDIO_CHANNEL_LOGICAL, XINE_PARAM_AUDIO_COMPR_LEVEL, XINE_PARAM_AUDIO_MUTE, XINE_PARAM_AUDIO_VOLUME, XINE_PARAM_AV_OFFSET, XINE_PARAM_BROADCASTER_PORT, XINE_PARAM_DELAY_FINISHED_EVENT, XINE_PARAM_EARLY_FINISHED_EVENT, XINE_PARAM_EQ_1000HZ, XINE_PARAM_EQ_125HZ, XINE_PARAM_EQ_16000HZ, XINE_PARAM_EQ_2000HZ, XINE_PARAM_EQ_250HZ, XINE_PARAM_EQ_30HZ, XINE_PARAM_EQ_4000HZ, XINE_PARAM_EQ_500HZ, XINE_PARAM_EQ_60HZ, XINE_PARAM_EQ_8000HZ, XINE_PARAM_FINE_SPEED, XINE_PARAM_GAPLESS_SWITCH, XINE_PARAM_IGNORE_AUDIO, XINE_PARAM_IGNORE_SPU, XINE_PARAM_IGNORE_VIDEO, XINE_PARAM_METRONOM_PREBUFFER, XINE_PARAM_SPEED, XINE_PARAM_SPU_CHANNEL, XINE_PARAM_SPU_OFFSET, XINE_PARAM_VERBOSITY, XINE_PARAM_VIDEO_CHANNEL, XINE_PARAM_VO_ASPECT_RATIO, XINE_PARAM_VO_BRIGHTNESS, XINE_PARAM_VO_CONTRAST, XINE_PARAM_VO_CROP_BOTTOM, XINE_PARAM_VO_CROP_LEFT, XINE_PARAM_VO_CROP_RIGHT, XINE_PARAM_VO_CROP_TOP, XINE_PARAM_VO_DEINTERLACE, XINE_PARAM_VO_GAMMA, XINE_PARAM_VO_HUE, XINE_PARAM_VO_NOISE_REDUCTION, XINE_PARAM_VO_SATURATION, XINE_PARAM_VO_SHARPNESS, XINE_PARAM_VO_TRANSFORM, XINE_PARAM_VO_TVMODE, XINE_PARAM_VO_WINDOW_HEIGHT, XINE_PARAM_VO_WINDOW_WIDTH, XINE_PARAM_VO_ZOOM_X, XINE_PARAM_VO_ZOOM_Y, XINE_STREAM_INFO_IGNORE_AUDIO, XINE_STREAM_INFO_IGNORE_SPU, XINE_STREAM_INFO_IGNORE_VIDEO, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by internal_write_event_frame_size(), open_video_capture_device(), show_eit(), vcd_force_redisplay(), vcd_plugin_read_block(), vdpau_display_frame(), vdr_execute_rpc_command(), vdr_start_buffers(), and xxmc_display_frame().

## ◆ xine_get_stream_info()

uint32_t xine_get_stream_info | ( | xine_stream_t * | s,
|  | int | info
| ) |  |

References _x_stream_info_get_public(), xine_stream_private_st::audio_track_map_entries, xine_stream_private_st::demux, DEMUX_CAP_CHAPTERS, demux_plugin_s::get_capabilities, input_plugin_s::get_capabilities, INPUT_CAP_CHAPTERS, INPUT_CAP_SEEKABLE, INPUT_CAP_SLOW_SEEKABLE, INPUT_CAP_TIME_SEEKABLE, xine_stream_s::input_plugin, xine_stream_private_st::plugin, xine_stream_private_st::s, xine_stream_private_st::spu_track_map_entries, xine_stream_s::xine, XINE_STREAM_INFO_AUDIO_BITRATE, XINE_STREAM_INFO_AUDIO_BITS, XINE_STREAM_INFO_AUDIO_CHANNELS, XINE_STREAM_INFO_AUDIO_FOURCC, XINE_STREAM_INFO_AUDIO_HANDLED, XINE_STREAM_INFO_AUDIO_SAMPLERATE, XINE_STREAM_INFO_BITRATE, XINE_STREAM_INFO_DISCARDED_FRAMES, XINE_STREAM_INFO_DVD_ANGLE_COUNT, XINE_STREAM_INFO_DVD_ANGLE_NUMBER, XINE_STREAM_INFO_DVD_CHAPTER_COUNT, XINE_STREAM_INFO_DVD_CHAPTER_NUMBER, XINE_STREAM_INFO_DVD_TITLE_COUNT, XINE_STREAM_INFO_DVD_TITLE_NUMBER, XINE_STREAM_INFO_FRAME_DURATION, XINE_STREAM_INFO_HAS_AUDIO, XINE_STREAM_INFO_HAS_CHAPTERS, XINE_STREAM_INFO_HAS_VIDEO, XINE_STREAM_INFO_IGNORE_AUDIO, XINE_STREAM_INFO_IGNORE_SPU, XINE_STREAM_INFO_IGNORE_VIDEO, XINE_STREAM_INFO_MAX_AUDIO_CHANNEL, XINE_STREAM_INFO_MAX_SPU_CHANNEL, XINE_STREAM_INFO_SEEKABLE, XINE_STREAM_INFO_SKIPPED_FRAMES, XINE_STREAM_INFO_VIDEO_AFD, XINE_STREAM_INFO_VIDEO_BITRATE, XINE_STREAM_INFO_VIDEO_CHANNELS, XINE_STREAM_INFO_VIDEO_FOURCC, XINE_STREAM_INFO_VIDEO_HANDLED, XINE_STREAM_INFO_VIDEO_HAS_STILL, XINE_STREAM_INFO_VIDEO_HEIGHT, XINE_STREAM_INFO_VIDEO_RATIO, XINE_STREAM_INFO_VIDEO_STREAMS, XINE_STREAM_INFO_VIDEO_WIDTH, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by show_eit(), and vdr_execute_rpc_command().

## ◆ xine_get_version()

void xine_get_version | ( | int * | major,
|  | int * | minor,
|  | int * | sub
| ) |  |

References XINE_MAJOR, XINE_MINOR, and XINE_SUB.

## ◆ xine_get_version_string()

const char * xine_get_version_string | ( | void |  | ) |

References VERSION.

## ◆ xine_get_video_source()

xine_post_out_t * xine_get_video_source | ( | xine_stream_t * | s | ) |

References xine_stream_private_st::video_source.

## ◆ xine_osd_clear()

void xine_osd_clear | ( | xine_osd_t * | this | ) |

## ◆ xine_osd_draw_bitmap()

void xine_osd_draw_bitmap | ( | xine_osd_t * | this,
|  | uint8_t * | bitmap,
|  | int | x1,
|  | int | y1,
|  | int | width,
|  | int | height,
|  | uint8_t * | palette_map
| ) |  |

References height, and width.

Referenced by draw_bitmap(), and vdr_execute_rpc_command().

## ◆ xine_osd_draw_line()

void xine_osd_draw_line | ( | xine_osd_t * | this,
|  | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2,
|  | int | color
| ) |  |

## ◆ xine_osd_draw_point()

void xine_osd_draw_point | ( | xine_osd_t * | this,
|  | int | x,
|  | int | y,
|  | int | color
| ) |  |

## ◆ xine_osd_draw_rect()

void xine_osd_draw_rect | ( | xine_osd_t * | this,
|  | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2,
|  | int | color,
|  | int | filled
| ) |  |

Referenced by overlay_proc().

## ◆ xine_osd_draw_text()

void xine_osd_draw_text | ( | xine_osd_t * | this,
|  | int | x1,
|  | int | y1,
|  | const char * | text,
|  | int | color_base
| ) |  |

## ◆ xine_osd_free()

void xine_osd_free | ( | xine_osd_t * | this | ) |

Referenced by close_overlay(), vdr_class_get_instance(), vdr_execute_rpc_command(), and vdr_plugin_dispose().

## ◆ xine_osd_get_capabilities()

uint32_t xine_osd_get_capabilities | ( | xine_osd_t * | this | ) |

Referenced by open_argb_overlay(), and vdr_class_get_instance().

## ◆ xine_osd_get_palette()

void xine_osd_get_palette | ( | xine_osd_t * | this,
|  | uint32_t * | color,
|  | uint8_t * | trans
| ) |  |

Referenced by vdr_execute_rpc_command().

## ◆ xine_osd_get_text_size()

void xine_osd_get_text_size | ( | xine_osd_t * | this,
|  | const char * | text,
|  | int * | width,
|  | int * | height
| ) |  |

References height, and width.

## ◆ xine_osd_hide()

void xine_osd_hide | ( | xine_osd_t * | this,
|  | int64_t | vpts
| ) |  |

Referenced by overlay_proc(), vdr_execute_rpc_command(), and vdr_plugin_dispose().

## ◆ xine_osd_new()

xine_osd_t * xine_osd_new | ( | xine_stream_t * | stream,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) |  |

References height, osd_renderer_s::new_object, xine_stream_s::osd_renderer, osd_object_s::renderer, osd_renderer_s::set_position, and width.

Referenced by open_overlay(), vdr_class_get_instance(), and vdr_execute_rpc_command().

## ◆ xine_osd_set_argb_buffer()

void xine_osd_set_argb_buffer | ( | xine_osd_t * | this,
|  | uint32_t * | argb_buffer,
|  | int | dirty_x,
|  | int | dirty_y,
|  | int | dirty_width,
|  | int | dirty_height
| ) |  |

Referenced by argb_overlay_proc(), and vdr_execute_rpc_command().

## ◆ xine_osd_set_encoding()

void xine_osd_set_encoding | ( | xine_osd_t * | this,
|  | const char * | encoding
| ) |  |

## ◆ xine_osd_set_extent()

void xine_osd_set_extent | ( | xine_osd_t * | this,
|  | int | extent_width,
|  | int | extent_height
| ) |  |

Referenced by open_overlay(), and vdr_execute_rpc_command().

## ◆ xine_osd_set_font()

int xine_osd_set_font | ( | xine_osd_t * | this,
|  | const char * | fontname,
|  | int | size
| ) |  |

## ◆ xine_osd_set_palette()

void xine_osd_set_palette | ( | xine_osd_t * | this,
|  | const uint32_t *const | color,
|  | const uint8_t *const | trans
| ) |  |

Referenced by draw_bitmap(), and vdr_execute_rpc_command().

## ◆ xine_osd_set_position()

void xine_osd_set_position | ( | xine_osd_t * | this,
|  | int | x,
|  | int | y
| ) |  |

Referenced by vdr_execute_rpc_command().

## ◆ xine_osd_set_text_palette()

void xine_osd_set_text_palette | ( | xine_osd_t * | this,
|  | int | palette_number,
|  | int | color_base
| ) |  |

## ◆ xine_osd_set_video_window()

void xine_osd_set_video_window | ( | xine_osd_t * | this,
|  | int | window_x,
|  | int | window_y,
|  | int | window_width,
|  | int | window_height
| ) |  |

Referenced by vdr_execute_rpc_command().

## ◆ xine_osd_show()

void xine_osd_show | ( | xine_osd_t * | this,
|  | int64_t | vpts
| ) |  |

Referenced by argb_overlay_proc(), overlay_proc(), and vdr_execute_rpc_command().

## ◆ xine_osd_show_unscaled()

void xine_osd_show_unscaled | ( | xine_osd_t * | this,
|  | int64_t | vpts
| ) |  |

Referenced by vdr_execute_rpc_command().

## ◆ xine_port_send_gui_data()

int xine_port_send_gui_data | ( | xine_video_port_t * | vo,
|  | int | type,
|  | void * | data
| ) |  |

References xine_video_port_s::driver, vo_driver_s::gui_data_exchange, and type.

## ◆ xine_post_input()

xine_post_in_t * xine_post_input | ( | xine_post_t * | this_gen,
|  | const char * | name
| ) |  |

References input(), name, NULL, and xine_list_next_value().

## ◆ xine_post_list_inputs()

const char *const * xine_post_list_inputs | ( | xine_post_t * | this_gen | ) |

## ◆ xine_post_list_outputs()

const char *const * xine_post_list_outputs | ( | xine_post_t * | this_gen | ) |

## ◆ xine_post_output()

xine_post_out_t * xine_post_output | ( | xine_post_t * | this_gen,
|  | const char * | name
| ) |  |

References xine_post_out_s::name, name, NULL, and xine_list_next_value().

## ◆ xine_post_wire()

int xine_post_wire | ( | xine_post_out_t * | source,
|  | xine_post_in_t * | target
| ) |  |

References xine_post_in_s::data, NULL, xine_post_out_s::rewire, xine_post_in_s::type, and xine_post_out_s::type.

## ◆ xine_post_wire_audio_port()

int xine_post_wire_audio_port | ( | xine_post_out_t * | source,
|  | xine_audio_port_t * | ao
| ) |  |

References NULL, xine_post_out_s::rewire, xine_post_out_s::type, and XINE_POST_DATA_AUDIO.

## ◆ xine_post_wire_video_port()

int xine_post_wire_video_port | ( | xine_post_out_t * | source,
|  | xine_video_port_t * | vo
| ) |  |

References NULL, xine_post_out_s::rewire, xine_post_out_s::type, and XINE_POST_DATA_VIDEO.

## ◆ xine_set_param()

void xine_set_param | ( | xine_stream_t * | s,
|  | int | param,
|  | int | value
| ) |  |

References _x_close_broadcaster(), _x_get_fine_speed(), _x_init_broadcaster(), _x_select_spu_channel(), _x_set_fine_speed(), _x_set_speed(), _x_stream_info_set(), xine_ticket_s::acquire, AO_PROP_AMP, AO_PROP_AMP_MUTE, AO_PROP_CLOSE_DEVICE, AO_PROP_COMPRESSOR, AO_PROP_EQ_30HZ, AO_PROP_MIXER_VOL, AO_PROP_MUTE_VOL, xine_stream_private_st::audio_channel_user, xine_stream_s::audio_out, xine_stream_private_st::broadcaster, xine_stream_private_st::delay_finish_event, xine_stream_private_st::early_finish_event, xine_stream_private_st::frontend_lock, xine_stream_private_st::gapless_switch, xine_audio_port_s::get_property, lprintf, xine_stream_s::metronom, METRONOM_AV_OFFSET, METRONOM_PREBUFFER, METRONOM_SPU_OFFSET, NULL, xine_private_t::port_ticket, xine_ticket_s::release, xine_stream_private_st::s, send_audio_amp_event_internal(), metronom_s::set_option, xine_audio_port_s::set_property, xine_video_port_s::set_property, xine_ticket_s::ticket_revoked, xine_s::verbosity, xine_stream_private_st::video_channel, xine_stream_s::video_out, xine_stream_s::xine, XINE_LIVE_PAUSE_ON, XINE_PARAM_AUDIO_AMP_LEVEL, XINE_PARAM_AUDIO_AMP_MUTE, XINE_PARAM_AUDIO_CHANNEL_LOGICAL, XINE_PARAM_AUDIO_CLOSE_DEVICE, XINE_PARAM_AUDIO_COMPR_LEVEL, XINE_PARAM_AUDIO_MUTE, XINE_PARAM_AUDIO_VOLUME, XINE_PARAM_AV_OFFSET, XINE_PARAM_BROADCASTER_PORT, XINE_PARAM_DELAY_FINISHED_EVENT, XINE_PARAM_EARLY_FINISHED_EVENT, XINE_PARAM_EQ_1000HZ, XINE_PARAM_EQ_125HZ, XINE_PARAM_EQ_16000HZ, XINE_PARAM_EQ_2000HZ, XINE_PARAM_EQ_250HZ, XINE_PARAM_EQ_30HZ, XINE_PARAM_EQ_4000HZ, XINE_PARAM_EQ_500HZ, XINE_PARAM_EQ_60HZ, XINE_PARAM_EQ_8000HZ, XINE_PARAM_FINE_SPEED, XINE_PARAM_GAPLESS_SWITCH, XINE_PARAM_IGNORE_AUDIO, XINE_PARAM_IGNORE_SPU, XINE_PARAM_IGNORE_VIDEO, XINE_PARAM_METRONOM_PREBUFFER, XINE_PARAM_SPEED, XINE_PARAM_SPU_CHANNEL, XINE_PARAM_SPU_OFFSET, XINE_PARAM_VERBOSITY, XINE_PARAM_VIDEO_CHANNEL, XINE_PARAM_VO_ASPECT_RATIO, XINE_PARAM_VO_BRIGHTNESS, XINE_PARAM_VO_CONTRAST, XINE_PARAM_VO_CROP_BOTTOM, XINE_PARAM_VO_CROP_LEFT, XINE_PARAM_VO_CROP_RIGHT, XINE_PARAM_VO_CROP_TOP, XINE_PARAM_VO_DEINTERLACE, XINE_PARAM_VO_GAMMA, XINE_PARAM_VO_HUE, XINE_PARAM_VO_NOISE_REDUCTION, XINE_PARAM_VO_SATURATION, XINE_PARAM_VO_SHARPNESS, XINE_PARAM_VO_SINGLE_STEP, XINE_PARAM_VO_TRANSFORM, XINE_PARAM_VO_TVMODE, XINE_PARAM_VO_ZOOM_X, XINE_PARAM_VO_ZOOM_Y, XINE_SPEED_PAUSE, XINE_STREAM_INFO_IGNORE_AUDIO, XINE_STREAM_INFO_IGNORE_SPU, XINE_STREAM_INFO_IGNORE_VIDEO, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by adjust_zoom(), demux_image_seek(), dvb_event_handler(), dvb_zoom_cb(), open_internal(), open_video_capture_device(), v4l_plugin_dispose(), vcd_force_redisplay(), vcd_plugin_read_block(), vcd_set_aspect_ratio(), vdr_execute_rpc_command(), and vdr_start_buffers().